# coding=utf-8
import coverage
import unittest
cov = coverage.Coverage()
cov.set_option("run:branch", True)
cov.start()

from test_box import TestBox
from test_constants import TestBasin, TestBasins
from test_data_manager import TestDataManager
from test_experiment_manager import TestExperimentManager

suite = unittest.TestLoader().loadTestsFromTestCase(TestBox)
suite.addTests(unittest.TestLoader().loadTestsFromTestCase(TestBasin))
suite.addTests(unittest.TestLoader().loadTestsFromTestCase(TestBasins))
suite.addTests(unittest.TestLoader().loadTestsFromTestCase(TestDataManager))
suite.addTests(unittest.TestLoader().loadTestsFromTestCase(TestExperimentManager))
unittest.TextTestRunner(verbosity=2).run(suite)
cov.stop()
cov.save()

cov.report(('earthdiagnostics/utils.py', 'earthdiagnostics/diags.py', 'earthdiagnostics/constants.py'))
cov.html_report()


